<!-- basic form start -->
<div class="col-12 mt-5">
	<div class="card">
		<div class="card-body">
			<h4 class="header-title">Ubah Data Siswa</h4>
			<form action="<?php $_SERVER['PHP_SELF']; ?>" method="post" enctype="multipart/form-data">
				<div class="form-group">
					<?php
					$arrLevel	= array("Aktif","Tidak Aktif");

# KETIKA DIKLIK
					if(isset($_POST['btnSave']))
					{
	# PERIKSA VARIABLE
						$txtnis				= $_POST['txtnis'];
						$txtnamasiswa		= $_POST['txtnamasiswa'];
						$txtstatus			= $_POST['txtstatus'];
						$file_foto 			= $_FILES['namaFile']['name'];

	# SAMPAIKAN PESAN ERROR
						$pesanError = array();
						if(trim($_POST['txtnis'])=="") 
						{
							$pesanError[] = "<b>NIS</b> tidak boleh kosong, harus diisi !";		
						}	
						if(trim($_POST['txtnamasiswa'])=="") 
						{
							$pesanError[] = "<b>NAMA SISWA</b> tidak boleh kosong, harus diisi !";		
						}
						if(trim($_POST['txtstatus'])=="" || trim($_POST['txtstatus'])=="BLANK") 
						{
							$pesanError[] = "<b>STATUS</b> tidak boleh kosong, harus diisi !";		
						}

	# JIKA ADA PESAN ERROR MAKA TAMPILKAN ERROR
						if (count($pesanError)>=1 )
						{
							echo "<div class='mssgBox'>";
		// echo "<img src='../images/attention.png'> <br><hr>";
							$noPesan=0;
							foreach ($pesanError as $indeks=>$pesan_tampil) 
							{ 
								$noPesan++;
			// echo "&nbsp;&nbsp; $noPesan. $pesan_tampil<br>";
								echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
								echo "&nbsp;&nbsp; $noPesan. $pesan_tampil<br>";
								echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'>";
								echo "<span class='fa fa-times'></span>
								</button>
								</div>";	
							} 
							echo "</div>"; 


						}
						else
						{

# SIMPAN DATA KE DATABASE. Jika tidak menemukan pesan error, simpan data ke database			
			// Membaca Kode dari form hidden
							$Kode	= $_POST['txtKode'];

			# SKRIP UNTUK MENYIMPAN FOTO/GAMBAR
							if (empty($_FILES['namaFile']['tmp_name'])) 
							{
				// Jika file baru tidak ada, mama file gambar lama yang dibaca
								$file_foto = $_POST['txtNamaFile'];
							}
							else  
							{
				// Jika file gambar lama ada, akan dihapus
								if(! $_POST['txtNamaFile']=="") 
								{
									if(file_exists("../foto_siswa/".$_POST['txtNamaFile'])) 
									{
										unlink("../foto_siswa/".$_POST['txtNamaFile']);	
									}
								}

				// Membaca nama file foto/gambar
								$file_foto = $_FILES['namaFile']['name'];
								$file_foto = stripslashes($file_foto);
								$file_foto = str_replace("'","",$file_foto);

				// Simpan gambar
								$file_foto = $Kode.".".$file_foto;
								copy($_FILES['namaFile']['tmp_name'],"../foto_siswa/".$file_foto);					
							}

		# MASUKKAN DATA KE SQL			
							$mySql	= "UPDATE siswa SET nama_siswa='$txtnamasiswa', status='$txtstatus',foto='$file_foto' WHERE nis='".$_POST['txtnis']."'";

							$myQry	= mysql_query($mySql, $koneksidb) or die ("Gagal query".mysql_error());
							if($myQry)
							{
								echo "<meta http-equiv='refresh' content='0; url=?page=Data-Siswa&Act=Sucsses'>";
							}
							exit;
						}
					}

// Skrip membaca variable dari URL (Kode dikirim dari menu Edit)
					$Kode	= isset($_GET['Kode']) ?  $_GET['Kode'] : $_POST['txtKode']; 

	# TAMPILKAN DATA LOGIN UNTUK DIEDIT
					$mySql 	= "SELECT * FROM siswa WHERE nis='$Kode'";
					$myQry 	= mysql_query($mySql, $koneksidb)  or die ("Query ambil data salah : ".mysql_error());
					$myData = mysql_fetch_array($myQry); 

	# MEMBUAT NILAI DATA PADA FORM
	// Masukkan data ke dalam variabel, supaya bisa dipanggil di Form
					$dataKode		= $myData['nis'];
					$dataNama		= isset($_POST['txtnamasiswa']) ? 	$_POST['txtnamasiswa'] 	: $myData['nama_siswa'];
					$dataLevel 		= isset($_POST['txtstatus']) ?  	$_POST['txtstatus'] 	: $myData['status'];


					?> 
				</div>
				<div class="form-row">
					<div class="col-md-3 mb-3">
						<label for="exampleInputEmail1"><b>NIS</b></label>
						<input type="text" class="form-control" name="txtnis" placeholder="Masukan NIS" value="<?php echo $dataKode; ?>" readonly>
						<input name="txtKode" type="hidden" value="<?php echo $dataKode; ?>" />
					</div>
					<div class="col-md-6 mb-3">
						<label for="exampleInputPassword1"><b>Nama Siswa</b></label>
						<input type="text" class="form-control" name="txtnamasiswa" placeholder="Masukan Nama Siswa" value="<?php echo $dataNama; ?>">
					</div>
					<div class="col-md-3 mb-3">
						<label class="col-form-label"><b>Status</b></label>
						<select class="form-control" name="txtstatus">
							<option value="BLANK">--Pilih--</option>
							<?php
							foreach ($arrLevel as $index => $value) 
							{
								if ($value==$dataLevel) 
								{
									$cek="selected";
								} else { $cek = ""; }
								echo "<option value='$value' $cek>$value</option>";
							}
							?>
						</select>
					</div>
				</div>

				<div class="input-group mb-3">
					<div class="input-group-prepend">
						<span class="input-group-text">Pilih Foto</span>
					</div>
					<div class="custom-file">
						<input type="file" class="custom-file-input" name="namaFile">
						<label class="custom-file-label" for="inputGroupFile01">Choose file</label>
						<input name="txtNamaFile" type="hidden" value="<?php echo $myData['foto']; ?>" />
					</div>
				</div>
				<button type="submit" class="btn btn-primary col-12" name="btnSave"><b>Simpan Data</b></button>
			</form>
		</div>
	</div>
</div>
<!-- basic form end -->